Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.om
Class Name

    java.lang.Object
      |
      +--com.icl.saxon.om.Name

public abstract class Name
extends java.lang.Object

This class, a remnant of its former self, exists to contain some static methods for validating the syntax of names.

Constructor Summary
`Name()`

Method Summary
`static java.lang.String` | `getLocalName(java.lang.String qname)` Extract the local name from a QName.
`static java.lang.String` | `getPrefix(java.lang.String qname)` Extract the prefix from a QName.
`static boolean` | `isNCName(java.lang.String name)` Validate whether a given string constitutes a valid NCName, as defined in XML Namespaces
`static boolean` | `isQName(java.lang.String name)` Validate whether a given string constitutes a valid QName, as defined in XML Namespaces

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Name

    public Name()

Method Detail

### isNCName

    public static boolean isNCName(java.lang.String name)

  Validate whether a given string constitutes a valid NCName, as defined in XML Namespaces

### isQName

    public static boolean isQName(java.lang.String name)

  Validate whether a given string constitutes a valid QName, as defined in XML Namespaces

### getPrefix

    public static final java.lang.String getPrefix(java.lang.String qname)

  Extract the prefix from a QName. Note, the QName is assumed to be valid.

### getLocalName

    public static final java.lang.String getLocalName(java.lang.String qname)

  Extract the local name from a QName. The QName is assumed to be valid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD